<?php

namespace Drupal\browser_development_assist\Processing;

use Drupal\Core\Url;

/**
 * Class FileSystemStructure controls the file system array.
 *
 * @package Drupal\browser_development_assist\Processing
 */
class FileSystemStructure {

  /**
   * Global array that holds all relevant paths.
   *
   * @var array
   *   Sets global path.
   */
  public static $globalFilePathArray = [
    'base_path' => 'public://browser-development',
    'css_directory' => 'css',
    'uri_path' => '/sites/default/files/browser-development/',
    'css_name' => 'browser-development.css',
    'scss_directory' => 'scss',
  ];

  /**
   * Returns path of css file to be used.
   *
   * @return string
   *   Returns path of css file.
   */
  public static function getCssFilePath() {
    $host = str_replace(".", "-", \Drupal::request()->getHost());
    $return = self::$globalFilePathArray['uri_path']
    . self::$globalFilePathArray['css_directory']
    . DIRECTORY_SEPARATOR
    . "$host-"
    . self::$globalFilePathArray['css_name'];

    return $return;
  }

}
